/*******************************************************************************
* File Name: .h
* Version 2.80
*
* Description:
*  This private file provides constants and parameter values for the
*  USBFS Component.
*  Please do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013-2014, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_USBFS_PD_USBFS_pvt_H)
#define CY_USBFS_PD_USBFS_pvt_H


/***************************************
*     Private Variables
***************************************/

/* Generated external references for descriptors*/
extern const uint8 CYCODE PD_USBFS_DEVICE0_DESCR[18u];
extern const uint8 CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_DESCR[41u];
extern const T_PD_USBFS_LUT CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_TABLE[1u];
extern const T_PD_USBFS_EP_SETTINGS_BLOCK CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_EP_SETTINGS_TABLE[2u];
extern const uint8 CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE_CLASS[1u];
extern const T_PD_USBFS_LUT CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_TABLE[4u];
extern const T_PD_USBFS_LUT CYCODE PD_USBFS_DEVICE0_TABLE[2u];
extern const T_PD_USBFS_LUT CYCODE PD_USBFS_TABLE[1u];
extern const uint8 CYCODE PD_USBFS_SN_STRING_DESCRIPTOR[10];
extern const uint8 CYCODE PD_USBFS_STRING_DESCRIPTORS[83u];
extern T_PD_USBFS_XFER_STATUS_BLOCK PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_IN_RPT_SCB;
extern uint8 PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_IN_BUF[
            PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_IN_BUF_SIZE];
extern T_PD_USBFS_XFER_STATUS_BLOCK PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_OUT_RPT_SCB;
extern uint8 PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_OUT_BUF[
            PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_OUT_BUF_SIZE];
extern const uint8 CYCODE PD_USBFS_HIDREPORT_DESCRIPTOR1[40u];
extern const uint8 CYCODE PD_USBFS_HIDREPORT_DESCRIPTOR2[40u];
extern const T_PD_USBFS_TD CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_IN_RPT_TABLE[1u];
extern const T_PD_USBFS_TD CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_OUT_RPT_TABLE[1u];
extern const T_PD_USBFS_LUT CYCODE PD_USBFS_DEVICE0_CONFIGURATION0_INTERFACE0_ALTERNATE0_HID_TABLE[5u];


extern const uint8 CYCODE PD_USBFS_MSOS_DESCRIPTOR[PD_USBFS_MSOS_DESCRIPTOR_LENGTH];
extern const uint8 CYCODE PD_USBFS_MSOS_CONFIGURATION_DESCR[PD_USBFS_MSOS_CONF_DESCR_LENGTH];
#if defined(PD_USBFS_ENABLE_IDSN_STRING)
    extern uint8 PD_USBFS_idSerialNumberStringDescriptor[PD_USBFS_IDSN_DESCR_LENGTH];
#endif /* PD_USBFS_ENABLE_IDSN_STRING */

extern volatile uint8 PD_USBFS_interfaceNumber;
extern volatile uint8 PD_USBFS_interfaceSetting[PD_USBFS_MAX_INTERFACES_NUMBER];
extern volatile uint8 PD_USBFS_interfaceSetting_last[PD_USBFS_MAX_INTERFACES_NUMBER];
extern volatile uint8 PD_USBFS_deviceAddress;
extern volatile uint8 PD_USBFS_interfaceStatus[PD_USBFS_MAX_INTERFACES_NUMBER];
extern const uint8 CYCODE *PD_USBFS_interfaceClass;

extern volatile T_PD_USBFS_EP_CTL_BLOCK PD_USBFS_EP[PD_USBFS_MAX_EP];
extern volatile T_PD_USBFS_TD PD_USBFS_currentTD;

#if(PD_USBFS_EP_MM != PD_USBFS__EP_MANUAL)
    extern uint8 PD_USBFS_DmaChan[PD_USBFS_MAX_EP];
    extern uint8 PD_USBFS_DmaTd[PD_USBFS_MAX_EP];
#endif /*  PD_USBFS_EP_MM */
#if((PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u))
    extern uint8 PD_USBFS_DmaNextTd[PD_USBFS_MAX_EP];
    extern const uint8 PD_USBFS_epX_TD_TERMOUT_EN[PD_USBFS_MAX_EP];
    extern volatile uint16 PD_USBFS_inLength[PD_USBFS_MAX_EP];
    extern const uint8 *PD_USBFS_inDataPointer[PD_USBFS_MAX_EP];
    extern volatile uint8 PD_USBFS_inBufFull[PD_USBFS_MAX_EP];
#endif /*  ((PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u)) */

extern volatile uint8 PD_USBFS_ep0Toggle;
extern volatile uint8 PD_USBFS_lastPacketSize;
extern volatile uint8 PD_USBFS_ep0Mode;
extern volatile uint8 PD_USBFS_ep0Count;
extern volatile uint16 PD_USBFS_transferByteCount;


/***************************************
*     Private Function Prototypes
***************************************/
void  PD_USBFS_ReInitComponent(void) ;
void  PD_USBFS_HandleSetup(void) ;
void  PD_USBFS_HandleIN(void) ;
void  PD_USBFS_HandleOUT(void) ;
void  PD_USBFS_LoadEP0(void) ;
uint8 PD_USBFS_InitControlRead(void) ;
uint8 PD_USBFS_InitControlWrite(void) ;
void  PD_USBFS_ControlReadDataStage(void) ;
void  PD_USBFS_ControlReadStatusStage(void) ;
void  PD_USBFS_ControlReadPrematureStatus(void)
                                                ;
uint8 PD_USBFS_InitControlWrite(void) ;
uint8 PD_USBFS_InitZeroLengthControlTransfer(void)
                                                ;
void  PD_USBFS_ControlWriteDataStage(void) ;
void  PD_USBFS_ControlWriteStatusStage(void) ;
void  PD_USBFS_ControlWritePrematureStatus(void)
                                                ;
uint8 PD_USBFS_InitNoDataControlTransfer(void) ;
void  PD_USBFS_NoDataControlStatusStage(void) ;
void  PD_USBFS_InitializeStatusBlock(void) ;
void  PD_USBFS_UpdateStatusBlock(uint8 completionCode) ;
uint8 PD_USBFS_DispatchClassRqst(void) ;

void PD_USBFS_Config(uint8 clearAltSetting) ;
void PD_USBFS_ConfigAltChanged(void) ;
void PD_USBFS_ConfigReg(void) ;

const T_PD_USBFS_LUT CYCODE *PD_USBFS_GetConfigTablePtr(uint8 confIndex)
                                                            ;
const T_PD_USBFS_LUT CYCODE *PD_USBFS_GetDeviceTablePtr(void)
                                                            ;
const uint8 CYCODE *PD_USBFS_GetInterfaceClassTablePtr(void)
                                                    ;
uint8 PD_USBFS_ClearEndpointHalt(void) ;
uint8 PD_USBFS_SetEndpointHalt(void) ;
uint8 PD_USBFS_ValidateAlternateSetting(void) ;

void PD_USBFS_SaveConfig(void) ;
void PD_USBFS_RestoreConfig(void) ;

#if ((PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u))
    void PD_USBFS_LoadNextInEP(uint8 epNumber, uint8 mode) ;
#endif /* (PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u) */

#if defined(PD_USBFS_ENABLE_IDSN_STRING)
    void PD_USBFS_ReadDieID(uint8 descr[]) ;
#endif /* PD_USBFS_ENABLE_IDSN_STRING */

#if defined(PD_USBFS_ENABLE_HID_CLASS)
    uint8 PD_USBFS_DispatchHIDClassRqst(void);
#endif /*  PD_USBFS_ENABLE_HID_CLASS */
#if defined(PD_USBFS_ENABLE_AUDIO_CLASS)
    uint8 PD_USBFS_DispatchAUDIOClassRqst(void);
#endif /*  PD_USBFS_ENABLE_HID_CLASS */
#if defined(PD_USBFS_ENABLE_CDC_CLASS)
    uint8 PD_USBFS_DispatchCDCClassRqst(void);
#endif /*  PD_USBFS_ENABLE_CDC_CLASS */

CY_ISR_PROTO(PD_USBFS_EP_0_ISR);
#if(PD_USBFS_EP1_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_1_ISR);
#endif /*  PD_USBFS_EP1_ISR_REMOVE */
#if(PD_USBFS_EP2_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_2_ISR);
#endif /*  PD_USBFS_EP2_ISR_REMOVE */
#if(PD_USBFS_EP3_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_3_ISR);
#endif /*  PD_USBFS_EP3_ISR_REMOVE */
#if(PD_USBFS_EP4_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_4_ISR);
#endif /*  PD_USBFS_EP4_ISR_REMOVE */
#if(PD_USBFS_EP5_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_5_ISR);
#endif /*  PD_USBFS_EP5_ISR_REMOVE */
#if(PD_USBFS_EP6_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_6_ISR);
#endif /*  PD_USBFS_EP6_ISR_REMOVE */
#if(PD_USBFS_EP7_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_7_ISR);
#endif /*  PD_USBFS_EP7_ISR_REMOVE */
#if(PD_USBFS_EP8_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_EP_8_ISR);
#endif /*  PD_USBFS_EP8_ISR_REMOVE */
CY_ISR_PROTO(PD_USBFS_BUS_RESET_ISR);
#if(PD_USBFS_SOF_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_SOF_ISR);
#endif /*  PD_USBFS_SOF_ISR_REMOVE */
#if(PD_USBFS_EP_MM != PD_USBFS__EP_MANUAL)
    CY_ISR_PROTO(PD_USBFS_ARB_ISR);
#endif /*  PD_USBFS_EP_MM */
#if(PD_USBFS_DP_ISR_REMOVE == 0u)
    CY_ISR_PROTO(PD_USBFS_DP_ISR);
#endif /*  PD_USBFS_DP_ISR_REMOVE */
#if ((PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u))
    CY_ISR_PROTO(PD_USBFS_EP_DMA_DONE_ISR);
#endif /* (PD_USBFS_EP_MM == PD_USBFS__EP_DMAAUTO) && (PD_USBFS_EP_DMA_AUTO_OPT == 0u) */

/***************************************
* Request Handlers
***************************************/

uint8 PD_USBFS_HandleStandardRqst(void) ;
uint8 PD_USBFS_DispatchClassRqst(void) ;
uint8 PD_USBFS_HandleVendorRqst(void) ;


/***************************************
*    HID Internal references
***************************************/

#if defined(PD_USBFS_ENABLE_HID_CLASS)
    void PD_USBFS_FindReport(void) ;
    void PD_USBFS_FindReportDescriptor(void) ;
    void PD_USBFS_FindHidClassDecriptor(void) ;
#endif /* PD_USBFS_ENABLE_HID_CLASS */


/***************************************
*    MIDI Internal references
***************************************/

#if defined(PD_USBFS_ENABLE_MIDI_STREAMING)
    void PD_USBFS_MIDI_IN_EP_Service(void) ;
#endif /* PD_USBFS_ENABLE_MIDI_STREAMING */


#endif /* CY_USBFS_PD_USBFS_pvt_H */


/* [] END OF FILE */
