// Standard ASCII 5x7 font

//=====================================================================
//
// Copyright (c) 2015 Joshua 1 Systems Inc. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
//
//    1. Redistributions of source code must retain the above copyright notice, this list of
//       conditions and the following disclaimer.
//
//    2. Redistributions in binary form must reproduce the above copyright notice, this list
//       of conditions and the following disclaimer in the documentation and/or other materials
//       provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY JOSHUA 1 SYSTEMS INC. "AS IS" AND ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// The views and conclusions contained in the software and documentation are those of the
// authors and should not be interpreted as representing official policies, either expressed
// or implied, of Joshua 1 Systems Inc.
//
//=====================================================================

#if j1GFX_PARAM_FONT_5X7 || j1GFX_PARAM_NUM_5X7
const uint8
j1GFX_Font5x7[] = {
//	0x00, 0x00, 0x00, 0x00, 0x00,	// 0x00 NUL
//	0x3E, 0x5B, 0x4F, 0x5B, 0x3E,	// 0x01 SOH
//	0x3E, 0x6B, 0x4F, 0x6B, 0x3E,	// 0x02 STX
//	0x1C, 0x3E, 0x7C, 0x3E, 0x1C,	// 0x03 ETX
//	0x18, 0x3C, 0x7E, 0x3C, 0x18,	// 0x04 EOT
//	0x1C, 0x57, 0x7D, 0x57, 0x1C,	// 0x05 ENQ
//	0x1C, 0x5E, 0x7F, 0x5E, 0x1C,	// 0x06 ACK
//	0x00, 0x18, 0x3C, 0x18, 0x00,	// 0x07 BEL
//	0xFF, 0xE7, 0xC3, 0xE7, 0xFF,	// 0x08 BS
//	0x00, 0x18, 0x24, 0x18, 0x00,	// 0x09 HT
//	0xFF, 0xE7, 0xDB, 0xE7, 0xFF,	// 0x0a LF
//	0x30, 0x48, 0x3A, 0x06, 0x0E,	// 0x0b VT
//	0x26, 0x29, 0x79, 0x29, 0x26,	// 0x0c FF
//	0x40, 0x7F, 0x05, 0x05, 0x07,	// 0x0d CR
//	0x40, 0x7F, 0x05, 0x25, 0x3F,	// 0x0e SO
//	0x5A, 0x3C, 0xE7, 0x3C, 0x5A,	// 0x0f SI
	
//	0x7F, 0x3E, 0x1C, 0x1C, 0x08,	// 0x10 DLE
//	0x08, 0x1C, 0x1C, 0x3E, 0x7F,	// 0x11 DC1
//	0x14, 0x22, 0x7F, 0x22, 0x14,	// 0x12 DC2
//	0x5F, 0x5F, 0x00, 0x5F, 0x5F,	// 0x13 DC3
//	0x06, 0x09, 0x7F, 0x01, 0x7F,	// 0x14 DC4
//	0x00, 0x66, 0x89, 0x95, 0x6A,	// 0x15 NAK
//	0x60, 0x60, 0x60, 0x60, 0x60,	// 0x16 SYN
//	0x94, 0xA2, 0xFF, 0xA2, 0x94,	// 0x17 ETB
//	0x08, 0x04, 0x7E, 0x04, 0x08,	// 0x18 CAN
//	0x10, 0x20, 0x7E, 0x20, 0x10,	// 0x19 EM
//	0x08, 0x08, 0x2A, 0x1C, 0x08,	// 0x1a SUB
//	0x08, 0x1C, 0x2A, 0x08, 0x08,	// 0x1b ESC
//	0x1E, 0x10, 0x10, 0x10, 0x10,	// 0x1c FS
//	0x0C, 0x1E, 0x0C, 0x1E, 0x0C,	// 0x1d GS
//	0x30, 0x38, 0x3E, 0x38, 0x30,	// 0x1e RS
//	0x06, 0x0E, 0x3E, 0x0E, 0x06,	// 0x1f US
	
#if j1GFX_PARAM_FONT_5X7
	0x00, 0x00, 0x00, 0x00, 0x00,	// 0x20 space
	0x00, 0x00, 0x5F, 0x00, 0x00,	// 0x21 !
	0x00, 0x07, 0x00, 0x07, 0x00,	// 0x22 "
	0x14, 0x7F, 0x14, 0x7F, 0x14,	// 0x23 #
	0x24, 0x2A, 0x7F, 0x2A, 0x12,	// 0x24 $
	0x23, 0x13, 0x08, 0x64, 0x62,	// 0x25 %
	0x36, 0x49, 0x56, 0x20, 0x50,	// 0x26 &
	0x00, 0x08, 0x07, 0x03, 0x00,	// 0x27 '
	0x00, 0x1C, 0x22, 0x41, 0x00,	// 0x28 (
	0x00, 0x41, 0x22, 0x1C, 0x00,	// 0x29 )
	0x2A, 0x1C, 0x7F, 0x1C, 0x2A,	// 0x2a *
	0x08, 0x08, 0x3E, 0x08, 0x08,	// 0x2b +
	0x00, 0x80, 0x70, 0x30, 0x00,	// 0x2c ,
	0x08, 0x08, 0x08, 0x08, 0x08,	// 0x2d -
	0x00, 0x00, 0x60, 0x60, 0x00,	// 0x2e .
	0x20, 0x10, 0x08, 0x04, 0x02,	// 0x2f /
#endif
	
	0x3E, 0x51, 0x49, 0x45, 0x3E,	// 0x30 0
	0x00, 0x42, 0x7F, 0x40, 0x00,	// 0x31 1
	0x72, 0x49, 0x49, 0x49, 0x46,	// 0x32 2
	0x21, 0x41, 0x49, 0x4D, 0x33,	// 0x33 3
	0x18, 0x14, 0x12, 0x7F, 0x10,	// 0x34 4
	0x27, 0x45, 0x45, 0x45, 0x39,	// 0x35 5
	0x3C, 0x4A, 0x49, 0x49, 0x31,	// 0x36 6
	0x41, 0x21, 0x11, 0x09, 0x07,	// 0x37 7
	0x36, 0x49, 0x49, 0x49, 0x36,	// 0x38 8
	0x46, 0x49, 0x49, 0x29, 0x1E,	// 0x39 9
	0x00, 0x00, 0x14, 0x00, 0x00,	// 0x3a :
	
#if j1GFX_PARAM_FONT_5X7
	0x00, 0x40, 0x34, 0x00, 0x00,	// 0x3b ;
	0x00, 0x08, 0x14, 0x22, 0x41,	// 0x3c <
	0x14, 0x14, 0x14, 0x14, 0x14,	// 0x3d =
	0x00, 0x41, 0x22, 0x14, 0x08,	// 0x3e >
	0x02, 0x01, 0x59, 0x09, 0x06,	// 0x3f ?
	
	0x3E, 0x41, 0x5D, 0x59, 0x4E,	// 0x40 @
	0x7C, 0x12, 0x11, 0x12, 0x7C,	// 0x41 A
	0x7F, 0x49, 0x49, 0x49, 0x36,	// 0x42 B
	0x3E, 0x41, 0x41, 0x41, 0x22,	// 0x43 C
	0x7F, 0x41, 0x41, 0x41, 0x3E,	// 0x44 D
	0x7F, 0x49, 0x49, 0x49, 0x41,	// 0x45 E
	0x7F, 0x09, 0x09, 0x09, 0x01,	// 0x46 F
	0x3E, 0x41, 0x41, 0x51, 0x73,	// 0x47 G
	0x7F, 0x08, 0x08, 0x08, 0x7F,	// 0x48 H
	0x00, 0x41, 0x7F, 0x41, 0x00,	// 0x49 I
	0x20, 0x40, 0x41, 0x3F, 0x01,	// 0x4a J
	0x7F, 0x08, 0x14, 0x22, 0x41,	// 0x4b K
	0x7F, 0x40, 0x40, 0x40, 0x40,	// 0x4c L
	0x7F, 0x02, 0x1C, 0x02, 0x7F,	// 0x4d M
	0x7F, 0x04, 0x08, 0x10, 0x7F,	// 0x4e N
	0x3E, 0x41, 0x41, 0x41, 0x3E,	// 0x4f O
	
	0x7F, 0x09, 0x09, 0x09, 0x06,	// 0x50 P
	0x3E, 0x41, 0x51, 0x21, 0x5E,	// 0x51 Q
	0x7F, 0x09, 0x19, 0x29, 0x46,	// 0x52 R
	0x26, 0x49, 0x49, 0x49, 0x32,	// 0x53 S
	0x03, 0x01, 0x7F, 0x01, 0x03,	// 0x54 T
	0x3F, 0x40, 0x40, 0x40, 0x3F,	// 0x55 U
	0x1F, 0x20, 0x40, 0x20, 0x1F,	// 0x56 V
	0x3F, 0x40, 0x38, 0x40, 0x3F,	// 0x57 W
	0x63, 0x14, 0x08, 0x14, 0x63,	// 0x58 X
	0x03, 0x04, 0x78, 0x04, 0x03,	// 0x59 Y
	0x61, 0x59, 0x49, 0x4D, 0x43,	// 0x5a Z
	0x00, 0x7F, 0x41, 0x41, 0x41,	// 0x5b [
	0x02, 0x04, 0x08, 0x10, 0x20,	// 0x5c backslash
	0x00, 0x41, 0x41, 0x41, 0x7F,	// 0x5d ]
	0x04, 0x02, 0x01, 0x02, 0x04,	// 0x5e ^
	0x40, 0x40, 0x40, 0x40, 0x40,	// 0x5f _
	
	0x00, 0x03, 0x07, 0x08, 0x00,	// 0x60 `
	0x20, 0x54, 0x54, 0x78, 0x40,	// 0x61 a
	0x7F, 0x28, 0x44, 0x44, 0x38,	// 0x62 b
	0x38, 0x44, 0x44, 0x44, 0x28,	// 0x63 c
	0x38, 0x44, 0x44, 0x28, 0x7F,	// 0x64 d
	0x38, 0x54, 0x54, 0x54, 0x18,	// 0x65 e
	0x00, 0x08, 0x7E, 0x09, 0x02,	// 0x66 f
	0x18, 0xA4, 0xA4, 0x9C, 0x78,	// 0x67 g
	0x7F, 0x08, 0x04, 0x04, 0x78,	// 0x68 h
	0x00, 0x44, 0x7D, 0x40, 0x00,	// 0x69 i
	0x20, 0x40, 0x40, 0x3D, 0x00,	// 0x6a j
	0x7F, 0x10, 0x28, 0x44, 0x00,	// 0x6b k
	0x00, 0x41, 0x7F, 0x40, 0x00,	// 0x6c l
	0x7C, 0x04, 0x78, 0x04, 0x78,	// 0x6d m
	0x7C, 0x08, 0x04, 0x04, 0x78,	// 0x6e n
	0x38, 0x44, 0x44, 0x44, 0x38,	// 0x6f o
	
	0xFC, 0x18, 0x24, 0x24, 0x18,	// 0x70 p
	0x18, 0x24, 0x24, 0x18, 0xFC,	// 0x71 q
	0x7C, 0x08, 0x04, 0x04, 0x08,	// 0x72 r
	0x48, 0x54, 0x54, 0x54, 0x24,	// 0x73 s
	0x04, 0x04, 0x3F, 0x44, 0x24,	// 0x74 t
	0x3C, 0x40, 0x40, 0x20, 0x7C,	// 0x75 u
	0x1C, 0x20, 0x40, 0x20, 0x1C,	// 0x76 v
	0x3C, 0x40, 0x30, 0x40, 0x3C,	// 0x77 w
	0x44, 0x28, 0x10, 0x28, 0x44,	// 0x78 x
	0x4C, 0x90, 0x90, 0x90, 0x7C,	// 0x79 y
	0x44, 0x64, 0x54, 0x4C, 0x44,	// 0x7a z
	0x00, 0x08, 0x36, 0x41, 0x00,	// 0x7b {
	0x00, 0x00, 0x77, 0x00, 0x00,	// 0x7c |
	0x00, 0x41, 0x36, 0x08, 0x00,	// 0x7d }
	0x02, 0x01, 0x02, 0x04, 0x02,	// 0x7e ~
	0x3C, 0x26, 0x23, 0x26, 0x3C,	// 0x7f DEL
#endif
	
//	0x1E, 0xA1, 0xA1, 0x61, 0x12,	// 0x80
//	0x3A, 0x40, 0x40, 0x20, 0x7A,	// 0x81
//	0x38, 0x54, 0x54, 0x55, 0x59,	// 0x82
//	0x21, 0x55, 0x55, 0x79, 0x41,	// 0x83
//	0x21, 0x54, 0x54, 0x78, 0x41,	// 0x84
//	0x21, 0x55, 0x54, 0x78, 0x40,	// 0x85
//	0x20, 0x54, 0x55, 0x79, 0x40,	// 0x86
//	0x0C, 0x1E, 0x52, 0x72, 0x12,	// 0x87
//	0x39, 0x55, 0x55, 0x55, 0x59,	// 0x88
//	0x39, 0x54, 0x54, 0x54, 0x59,	// 0x89
//	0x39, 0x55, 0x54, 0x54, 0x58,	// 0x8a
//	0x00, 0x00, 0x45, 0x7C, 0x41,	// 0x8b
//	0x00, 0x02, 0x45, 0x7D, 0x42,	// 0x8c
//	0x00, 0x01, 0x45, 0x7C, 0x40,	// 0x8d
//	0xF0, 0x29, 0x24, 0x29, 0xF0,	// 0x8e
//	0xF0, 0x28, 0x25, 0x28, 0xF0,	// 0x8f
	
//	0x7C, 0x54, 0x55, 0x45, 0x00,	// 0x90
//	0x20, 0x54, 0x54, 0x7C, 0x54,	// 0x91
//	0x7C, 0x0A, 0x09, 0x7F, 0x49,	// 0x92
//	0x32, 0x49, 0x49, 0x49, 0x32,	// 0x93
//	0x32, 0x48, 0x48, 0x48, 0x32,	// 0x94
//	0x32, 0x4A, 0x48, 0x48, 0x30,	// 0x95
//	0x3A, 0x41, 0x41, 0x21, 0x7A,	// 0x96
//	0x3A, 0x42, 0x40, 0x20, 0x78,	// 0x97
//	0x00, 0x9D, 0xA0, 0xA0, 0x7D,	// 0x98
//	0x39, 0x44, 0x44, 0x44, 0x39,	// 0x99
//	0x3D, 0x40, 0x40, 0x40, 0x3D,	// 0x9a
//	0x3C, 0x24, 0xFF, 0x24, 0x24,	// 0x9b
//	0x48, 0x7E, 0x49, 0x43, 0x66,	// 0x9c
//	0x2B, 0x2F, 0xFC, 0x2F, 0x2B,	// 0x9d
//	0xFF, 0x09, 0x29, 0xF6, 0x20,	// 0x9e
//	0xC0, 0x88, 0x7E, 0x09, 0x03,	// 0x9f
	
//	0x20, 0x54, 0x54, 0x79, 0x41,	// 0xa0
//	0x00, 0x00, 0x44, 0x7D, 0x41,	// 0xa1
//	0x30, 0x48, 0x48, 0x4A, 0x32,	// 0xa2
//	0x38, 0x40, 0x40, 0x22, 0x7A,	// 0xa3
//	0x00, 0x7A, 0x0A, 0x0A, 0x72,	// 0xa4
//	0x7D, 0x0D, 0x19, 0x31, 0x7D,	// 0xa5
//	0x26, 0x29, 0x29, 0x2F, 0x28,	// 0xa6
//	0x26, 0x29, 0x29, 0x29, 0x26,	// 0xa7
//	0x30, 0x48, 0x4D, 0x40, 0x20,	// 0xa8
//	0x38, 0x08, 0x08, 0x08, 0x08,	// 0xa9
//	0x08, 0x08, 0x08, 0x08, 0x38,	// 0xaa
//	0x2F, 0x10, 0xC8, 0xAC, 0xBA,	// 0xab
//	0x2F, 0x10, 0x28, 0x34, 0xFA,	// 0xac
//	0x00, 0x00, 0x7B, 0x00, 0x00,	// 0xad
//	0x08, 0x14, 0x2A, 0x14, 0x22,	// 0xae
//	0x22, 0x14, 0x2A, 0x14, 0x08,	// 0xaf
	
//	0xAA, 0x00, 0x55, 0x00, 0xAA,	// 0xb0
//	0xAA, 0x55, 0xAA, 0x55, 0xAA,	// 0xb1
//	0x00, 0x00, 0x00, 0xFF, 0x00,	// 0xb2
//	0x10, 0x10, 0x10, 0xFF, 0x00,	// 0xb3
//	0x14, 0x14, 0x14, 0xFF, 0x00,	// 0xb4
//	0x10, 0x10, 0xFF, 0x00, 0xFF,	// 0xb5
//	0x10, 0x10, 0xF0, 0x10, 0xF0,	// 0xb6
//	0x14, 0x14, 0x14, 0xFC, 0x00,	// 0xb7
//	0x14, 0x14, 0xF7, 0x00, 0xFF,	// 0xb8
//	0x00, 0x00, 0xFF, 0x00, 0xFF,	// 0xb9
//	0x14, 0x14, 0xF4, 0x04, 0xFC,	// 0xba
//	0x14, 0x14, 0x17, 0x10, 0x1F,	// 0xbb
//	0x10, 0x10, 0x1F, 0x10, 0x1F,	// 0xbc
//	0x14, 0x14, 0x14, 0x1F, 0x00,	// 0xbd
//	0x10, 0x10, 0x10, 0xF0, 0x00,	// 0xbe
//	0x00, 0x00, 0x00, 0x1F, 0x10,	// 0xbf
	
//	0x10, 0x10, 0x10, 0x1F, 0x10,	// 0xc0
//	0x10, 0x10, 0x10, 0xF0, 0x10,	// 0xc1
//	0x00, 0x00, 0x00, 0xFF, 0x10,	// 0xc2
//	0x10, 0x10, 0x10, 0x10, 0x10,	// 0xc3
//	0x10, 0x10, 0x10, 0xFF, 0x10,	// 0xc4
//	0x00, 0x00, 0x00, 0xFF, 0x14,	// 0xc5
//	0x00, 0x00, 0xFF, 0x00, 0xFF,	// 0xc6
//	0x00, 0x00, 0x1F, 0x10, 0x17,	// 0xc7
//	0x00, 0x00, 0xFC, 0x04, 0xF4,	// 0xc8
//	0x14, 0x14, 0x17, 0x10, 0x17,	// 0xc9
//	0x14, 0x14, 0xF4, 0x04, 0xF4,	// 0xca
//	0x00, 0x00, 0xFF, 0x00, 0xF7,	// 0xcb
//	0x14, 0x14, 0x14, 0x14, 0x14,	// 0xcc
//	0x14, 0x14, 0xF7, 0x00, 0xF7,	// 0xcd
//	0x14, 0x14, 0x14, 0x17, 0x14,	// 0xce
//	0x10, 0x10, 0x1F, 0x10, 0x1F,	// 0xcf
	
//	0x14, 0x14, 0x14, 0xF4, 0x14,	// 0xd0
//	0x10, 0x10, 0xF0, 0x10, 0xF0,	// 0xd1
//	0x00, 0x00, 0x1F, 0x10, 0x1F,	// 0xd2
//	0x00, 0x00, 0x00, 0x1F, 0x14,	// 0xd3
//	0x00, 0x00, 0x00, 0xFC, 0x14,	// 0xd4
//	0x00, 0x00, 0xF0, 0x10, 0xF0,	// 0xd5
//	0x10, 0x10, 0xFF, 0x10, 0xFF,	// 0xd6
//	0x14, 0x14, 0x14, 0xFF, 0x14,	// 0xd7
//	0x10, 0x10, 0x10, 0x1F, 0x00,	// 0xd8
//	0x00, 0x00, 0x00, 0xF0, 0x10,	// 0xd9
//	0xFF, 0xFF, 0xFF, 0xFF, 0xFF,	// 0xda
//	0xF0, 0xF0, 0xF0, 0xF0, 0xF0,	// 0xdb
//	0xFF, 0xFF, 0xFF, 0x00, 0x00,	// 0xdc
//	0x00, 0x00, 0x00, 0xFF, 0xFF,	// 0xdd
//	0x0F, 0x0F, 0x0F, 0x0F, 0x0F,	// 0xde
//	0x38, 0x44, 0x44, 0x38, 0x44,	// 0xdf
	
//	0x7C, 0x2A, 0x2A, 0x3E, 0x14,	// 0xe0
//	0x7E, 0x02, 0x02, 0x06, 0x06,	// 0xe1
//	0x02, 0x7E, 0x02, 0x7E, 0x02,	// 0xe2
//	0x63, 0x55, 0x49, 0x41, 0x63,	// 0xe3
//	0x38, 0x44, 0x44, 0x3C, 0x04,	// 0xe4
//	0x40, 0x7E, 0x20, 0x1E, 0x20,	// 0xe5
//	0x06, 0x02, 0x7E, 0x02, 0x02,	// 0xe6
//	0x99, 0xA5, 0xE7, 0xA5, 0x99,	// 0xe7
//	0x1C, 0x2A, 0x49, 0x2A, 0x1C,	// 0xe8
//	0x4C, 0x72, 0x01, 0x72, 0x4C,	// 0xe9
//	0x30, 0x4A, 0x4D, 0x4D, 0x30,	// 0xea
//	0x30, 0x48, 0x78, 0x48, 0x30,	// 0xeb
//	0xBC, 0x62, 0x5A, 0x46, 0x3D,	// 0xec
//	0x3E, 0x49, 0x49, 0x49, 0x00,	// 0xed
//	0x7E, 0x01, 0x01, 0x01, 0x7E,	// 0xee
//	0x2A, 0x2A, 0x2A, 0x2A, 0x2A,	// 0xef
	
//	0x44, 0x44, 0x5F, 0x44, 0x44,	// 0xf0
//	0x40, 0x51, 0x4A, 0x44, 0x40,	// 0xf1
//	0x40, 0x44, 0x4A, 0x51, 0x40,	// 0xf2
//	0x00, 0x00, 0xFF, 0x01, 0x03,	// 0xf3
//	0xE0, 0x80, 0xFF, 0x00, 0x00,	// 0xf4
//	0x08, 0x08, 0x6B, 0x6B, 0x08,	// 0xf5
//	0x36, 0x12, 0x36, 0x24, 0x36,	// 0xf6
//	0x06, 0x0F, 0x09, 0x0F, 0x06,	// 0xf7
//	0x00, 0x00, 0x18, 0x18, 0x00,	// 0xf8
//	0x00, 0x00, 0x10, 0x10, 0x00,	// 0xf9
//	0x30, 0x40, 0xFF, 0x01, 0x01,	// 0xfa
//	0x00, 0x1F, 0x01, 0x01, 0x1E,	// 0xfb
//	0x00, 0x19, 0x1D, 0x17, 0x12,	// 0xfc
//	0x00, 0x3C, 0x3C, 0x3C, 0x3C,	// 0xfd
//	0x00, 0x00, 0x00, 0x00, 0x00,	// 0xfe
//	0x00, 0x00, 0x00, 0x00, 0x00	// 0xff
};
#endif
