//=====================================================================
//
//	PD_j1Get.h - j1sys device independent get lib
//
//	version 1.0 - 16 dec 2013
//
//=====================================================================

//=====================================================================
//
// Copyright (c) 2015 Joshua 1 Systems Inc. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
//
//    1. Redistributions of source code must retain the above copyright notice, this list of
//       conditions and the following disclaimer.
//
//    2. Redistributions in binary form must reproduce the above copyright notice, this list
//       of conditions and the following disclaimer in the documentation and/or other materials
//       provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY JOSHUA 1 SYSTEMS INC. "AS IS" AND ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// The views and conclusions contained in the software and documentation are those of the
// authors and should not be interpreted as representing official policies, either expressed
// or implied, of Joshua 1 Systems Inc.
//
//=====================================================================

#if !defined(PD_j1Get_H)
#define PD_j1Get_H

#include <j1Types.h>

//---------------------------------------------------------------------
//	j1Get_CTRL
//---------------------------------------------------------------------
	
typedef struct _j1Get_CTRL
{
	bool	(*Read)			(void *deviceCtrl, uint8 *bfrPtr, uint16 bfrSiz, uint16 *bfrRead);
	void	*deviceCtrl;	// device control struct pointer
	
	uint8	readBfr[0x200];	// read buffer
	uint8	*readBfrPtr;	// read buffer pointer
	uint16	readBfrCnt;		// read buffer counter
	bool	eofReached;		// end-of-file reached
	
} j1Get_CTRL;

//---------------------------------------------------------------------
//	function prototypes
//---------------------------------------------------------------------

bool	j1Get_Start		(j1Get_CTRL *getC, void *Read, void *deviceCtrl);
bool	j1Get_Char		(j1Get_CTRL *getC, char *c);
bool	j1Get_Field		(j1Get_CTRL *getC, char *field, uint16 fieldSize);
bool	j1Get_Line		(j1Get_CTRL *getC, char *lineBfr, uint16 lineSize, uint16 *lineLen);

#endif	// PD_j1Get_H
