/*******************************************************************************
* File Name: PD_j1HY28B_iCtrl_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "PD_j1HY28B_iCtrl.h"

/* Check for removal by optimization */
#if !defined(PD_j1HY28B_iCtrl_Sync_ctrl_reg__REMOVED)

static PD_j1HY28B_iCtrl_BACKUP_STRUCT  PD_j1HY28B_iCtrl_backup = {0u};

    
/*******************************************************************************
* Function Name: PD_j1HY28B_iCtrl_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PD_j1HY28B_iCtrl_SaveConfig(void) 
{
    PD_j1HY28B_iCtrl_backup.controlState = PD_j1HY28B_iCtrl_Control;
}


/*******************************************************************************
* Function Name: PD_j1HY28B_iCtrl_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void PD_j1HY28B_iCtrl_RestoreConfig(void) 
{
     PD_j1HY28B_iCtrl_Control = PD_j1HY28B_iCtrl_backup.controlState;
}


/*******************************************************************************
* Function Name: PD_j1HY28B_iCtrl_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PD_j1HY28B_iCtrl_Sleep(void) 
{
    PD_j1HY28B_iCtrl_SaveConfig();
}


/*******************************************************************************
* Function Name: PD_j1HY28B_iCtrl_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void PD_j1HY28B_iCtrl_Wakeup(void)  
{
    PD_j1HY28B_iCtrl_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
