//=====================================================================
//
//	PD_microSD.c - microSD Driver
//
//	version 1.0 - 15 feb 2015
//
//=====================================================================

//=====================================================================
//
// Copyright (c) 2015 Joshua 1 Systems Inc. All rights reserved.
//
// Redistribution and use in source and binary forms, with or without modification, are
// permitted provided that the following conditions are met:
//
//    1. Redistributions of source code must retain the above copyright notice, this list of
//       conditions and the following disclaimer.
//
//    2. Redistributions in binary form must reproduce the above copyright notice, this list
//       of conditions and the following disclaimer in the documentation and/or other materials
//       provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY JOSHUA 1 SYSTEMS INC. "AS IS" AND ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// The views and conclusions contained in the software and documentation are those of the
// authors and should not be interpreted as representing official policies, either expressed
// or implied, of Joshua 1 Systems Inc.
//
//=====================================================================

#if !defined(PD_microSD_H)
#define PD_microSD_H

#include <project.h>
#include <stdbool.h>

//---------------------------------------------------------------------
//	PD_microSD_CardType
//---------------------------------------------------------------------
	
#define	PD_microSD_CARD_TYPE_MMC		(0x01)			// MMC card
#define	PD_microSD_CARD_TYPE_SD1		(0x02)			// SD1 card
#define	PD_microSD_CARD_TYPE_SD2		(0x04)			// SD2 card
#define	PD_microSD_CARD_TYPE_SDC		(PD_microSD_CARD_TYPE_SD1 || PD_microSD_CARD_TYPE_SD2)
#define	PD_microSD_CARD_TYPE_BLOCK	(0x08)			// block addressing

typedef	uint8	PD_microSD_CardType;
	
//---------------------------------------------------------------------
//	PD_microSD_CTRL
//---------------------------------------------------------------------
	
typedef struct _PD_microSD_CTRL
{
	PD_microSD_CardType	cardType;
	
} PD_microSD_CTRL;

//---------------------------------------------------------------------
//	function prototypes
//---------------------------------------------------------------------

bool PD_microSD_Start(PD_microSD_CTRL *j1microSD_Ctrl);
bool PD_microSD_ReadSector(PD_microSD_CTRL *j1microSD_Ctrl, uint32 lba, uint8 *bfrPtr);

#endif
